﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using moxa;

namespace GetBIOSInfo
{
    class Program
    {
        static void Main(string[] args)
        {
            int ErrorCode = 0x0;
            bool Temperature_Status = false;
            bool Checksum_Error = false;
            bool Keyboard_Error = false;

            ErrorCode = moxa.v2101.BIOSInfo.Get_BIOS_Status();
            Console.WriteLine("BIOS ErrorCode=" + ErrorCode.ToString());

            Checksum_Error = ((ErrorCode & (moxa.mxdevice.BIOS_CMOS_CHECKSUM)) > 0 ? true : false);
            Keyboard_Error = ((ErrorCode & (moxa.mxdevice.BIOS_KEYBOARD_ERROR)) > 0 ? true : false);

            Console.WriteLine("Checksum_Error=" + Checksum_Error.ToString());
            Console.WriteLine("Keyboard_Error=" + Keyboard_Error.ToString());
        }
    }
}
