/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "fsioctl.h"
#include "moxa\devices.h"


int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hDIO; // DIO handle
	BYTE	byteDin;
	int		index; //bit number of DOUT 0~7
	int		data;  //bit data of DOUT  0,1
	int		intDout;
	index=3;
	data=1;

	if ( argc != 3 ) {
		printf("syntax: DIO 3 1 \n");
		return 0;
	}

	index = _wtol(argv[1]); 
	data  = _wtol(argv[2]);

	/*initial the DIO driver*/
	hDIO = mxdio_init(); 

	/*Set one bit data of DOUT*/
	mxdio_set_dout(hDIO, index, data);
	
	/*get data from DOUT*/
	intDout=mxdio_get_dout(hDIO,index);
	printf("intDout=%d\n",intDout);

	/*get data from DIN*/
	byteDin=mxdio_get_din(hDIO,index);
	printf("Din = 0x%x\n",byteDin);

	mxdio_stop(hDIO);
	
	return 0;
}

