/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

/*
	index[n]: 1  ; Port 1
			  2  ; Port 2
	          
			 ....
	mode[n]: 0  ; RS232
	         1  ; RS485-2W
			 2  ; RS422
			 3  ; RS485-4W
	         
*/

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "moxa\devices.h"

int _tmain(int argc, _TCHAR* argv[])
{
	int mode=0;

	//Set COM1: to RS422 Mode
	uart_setmode(1, 1);

	//Get Uart mode of COM1:
	mode=uart_getmode(1);
	printf("mode=%d\n",mode);

	return 0;
}


