// DIO.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "fsioctl.h"
#include "moxa\devices.h"

int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hDIO = NULL;       // DIO handle
	DIO_t	data, dioback;     // Digital IO data structure
	DWORD	dwBackSize;
	int		i;

	// Open the DIO driver
	hDIO = CreateFile ( L"DIO1:", GENERIC_READ | GENERIC_WRITE, 0, NULL, OPEN_EXISTING, 0, NULL);

	BYTE dinALL;
	// Get all DIN data ( 8 bit ), it is a BYTE
	DeviceIoControl(hDIO, IOCTL_GET_DIN_ALL, (void*)&data, sizeof(DIO_t), (void*)&dinALL, sizeof(BYTE), &dwBackSize, NULL);

	// display current DIN data (0->F)
	printf("din all=%x\n", dinALL);

	// set port 3 (the 4'th bit)  to HIGH (1)
	data.port = 3;
	data.data = 1;
	DeviceIoControl(hDIO, IOCTL_SET_DOUT, (void*)&data, sizeof(DIO_t), NULL, 0, &dwBackSize, NULL);

	// set port 5 (the 5'th bit)  to LOW (0)
	data.port = 4;
	data.data = 0;
	DeviceIoControl(hDIO, IOCTL_SET_DOUT, (void*)&data, sizeof(DIO_t), NULL, 0, &dwBackSize, NULL);

	// Display all of the DOUT bit
	for ( i=0; i<8; i++)
	{
		data.port = i;
		DeviceIoControl(hDIO, IOCTL_GET_DOUT, (void*)&data, sizeof(DIO_t), (void*)&dioback, sizeof(DIO_t), &dwBackSize, NULL);
		printf("DOUT Port %d=%d\n", dioback.port, dioback.data );
	}

	CloseHandle (hDIO);

	return 0;
}

