// DIO_Lib.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include <moxa/devices.h>


int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hDIO; // DIO handle
	BYTE	byteDin;
	BOOL	bolDout,bolClose;
	int		index; //bit number of DOUT 0~7
	int		data;  //bit data of DOUT  0,1
	int		intDout;
	index=3;
	data=1;

	if ( argc != 3 ) {
		printf("syntax: DIO_Lib 3 1 \n");
		return 0;
	}

	index = _wtol(argv[1]); 
	data  = _wtol(argv[2]);

	//initial the DIO driver
	hDIO = DIO_init(); 

	//Set one bit data of DOUT
	bolDout=set_dout(hDIO, index, data);
	if(!bolDout)
	{
		printf("bolDout==FALSE\n");
	}
	//get data from DOUT
	intDout=get_dout(hDIO,index);
	printf("intDout=%d\n",intDout);

	//get data from DIN
	byteDin=get_din(hDIO);
	printf("Din = 0x%x\n",byteDin);

	
	bolClose=DIO_close(hDIO);
	if(!bolClose)
	{
		printf("DIO_Close fail\n");
	}

	return 0;
}

