// Wait_USBDisk_Mounted.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>


int _tmain(int argc, _TCHAR* argv[])
{
	WIN32_FIND_DATA wfd;
	int		i=0;
	HANDLE  hDir;

	printf("Waiting for USB Mass Storage mounted.\n");

	// Notification API
	hDir = FindFirstChangeNotification( L"\\", FALSE, FILE_NOTIFY_CHANGE_FILE_NAME | FILE_NOTIFY_CHANGE_DIR_NAME | FILE_NOTIFY_CHANGE_LAST_WRITE );
	while ( TRUE)
	{
		if ( WaitForSingleObject(hDir, INFINITE ) == WAIT_OBJECT_0 )
		{
			HANDLE hf = FindFirstFile( L"\\USBDisk", &wfd );
			// SD Card mounted
			if ( hf != INVALID_HANDLE_VALUE )
			{
				FindClose(hf);
				// go on to launch .bat
				break;
			}

			hf = FindFirstFile( L"\\USBDisk2", &wfd );
			// SD Card mounted
			if ( hf != INVALID_HANDLE_VALUE )
			{
				FindClose(hf);
				// go on to launch .bat
				break;
			}

			FindCloseChangeNotification(hDir);
			hDir = FindFirstChangeNotification( L"\\", FALSE, FILE_NOTIFY_CHANGE_FILE_NAME | FILE_NOTIFY_CHANGE_DIR_NAME | FILE_NOTIFY_CHANGE_LAST_WRITE );
		}
	}
	
	printf("USBDisk was mounted!\n");

	return 0;
}

