/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>

#include "Service.h"


int _tmain(int argc, _TCHAR* argv[])
{
	// Open the NTP service
	HANDLE hNTP = CreateFile(L"NTP0:", GENERIC_READ | GENERIC_WRITE, 0, NULL, OPEN_EXISTING, 0, NULL);
	if(INVALID_HANDLE_VALUE == hNTP)
	{
		// the NTP service is not activated.  leave program.
		return 0;
	}

	WCHAR szControlString[] = L"sync";                // a fixed 'keyword' for syncronization
	DWORD dwLenIn = sizeof(szControlString);
	DWORD dwBytesReturned;

	// Send the 'sync' keyword to the NTP service
	DeviceIoControl(hNTP, IOCTL_SERVICE_CONTROL, szControlString, dwLenIn, NULL, 0, &dwBytesReturned, 0);

	// close NTP service
	CloseHandle(hNTP);

	return 0;
}

