﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using moxa;

namespace SetInterface
{
    class Program
    {
        static void Main(string[] args)
        {
            //change the interface of COM1: to RS232
            moxa.v2101.SerialInterface.SetComPortInterface("COM1:", moxa.v2101.SerialInterface.SerialMode.RS232_MODE);

            //change the interface of COM2: to RS422
            moxa.v2101.SerialInterface.SetComPortInterface("COM2:", moxa.v2101.SerialInterface.SerialMode.RS422_MODE);


        }
    }
}
